"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var Ne=Object.create;var ae=Object.defineProperty;var Pe=Object.getOwnPropertyDescriptor;var Ie=Object.getOwnPropertyNames;var Fe=Object.getPrototypeOf,Le=Object.prototype.hasOwnProperty;var ne=(r,e)=>()=>(e||r((e={exports:{}}).exports,e),e.exports);var Ee=(r,e,t,o)=>{if(e&&typeof e=="object"||typeof e=="function")for(let a of Ie(e))!Le.call(r,a)&&a!==t&&ae(r,a,{get:()=>e[a],enumerable:!(o=Pe(e,a))||o.enumerable});return r};var J=(r,e,t)=>(t=r!=null?Ne(Fe(r)):{},Ee(e||!r||!r.__esModule?ae(t,"default",{value:r,enumerable:!0}):t,r));var ie=ne((pr,se)=>{se.exports=uni.Pinia});var q=ne((yr,ue)=>{ue.exports=Vue});var ve=J(ie()),_=J(q()),Ve=Object.defineProperty,je=Object.defineProperties,He=Object.getOwnPropertyDescriptors,de=Object.getOwnPropertySymbols,Me=Object.prototype.hasOwnProperty,We=Object.prototype.propertyIsEnumerable,Z=(r,e,t)=>e in r?Ve(r,e,{enumerable:!0,configurable:!0,writable:!0,value:t}):r[e]=t,b=(r,e)=>{for(var t in e||(e={}))Me.call(e,t)&&Z(r,t,e[t]);if(de)for(var t of de(e))We.call(e,t)&&Z(r,t,e[t]);return r},x=(r,e)=>je(r,He(e)),Ge=(r,e,t)=>(Z(r,typeof e!="symbol"?e+"":e,t),t),fe,he,be,ce;var ze="onLoad";function E(r,e,...t){uni.__log__?uni.__log__(r,e,...t):console[r].apply(console,[...t,e])}function _e(r,e){return typeof r=="string"?e:r}var Ue=r=>(e,t=(0,_.getCurrentInstance)())=>{!_.isInSSRComponentSetup&&(0,_.injectHook)(r,e,t)};var Ce=Ue(ze);var u={rgbaToHsla(r){let{r:e,g:t,b:o,a}=r;e=e/255,t=t/255,o=o/255;var s=Math.max(e,t,o),i=Math.min(e,t,o),l,g,p;return s===i?l=0:s===e?l=60*(t-o)/(s-i):s===t?l=60*(2+(o-e)/(s-i)):l=60*(4+(e-t)/(s-i)),l<0&&(l+=360),p=(s+i)/2,s===i?g=0:p<.5?g=(s-i)/(s+i):g=(s-i)/(2-s-i),{h:l,s:g*100,l:p*100,a}},hslaToRgba(r){let{h:e,s:t,l:o,a}=r;e=e/360,t=t/100,o=o/100;var s,i,l;if(t===0)s=i=l=o;else{let h=function(v,T,C){return C<0&&(C+=1),C>1&&(C-=1),C<.16666666666666666?v+(T-v)*6*C:C<.5?T:C<.6666666666666666?v+(T-v)*(.6666666666666666-C)*6:v};var g=o<.5?o*(1+t):o+t-o*t,p=2*o-g;s=h(p,g,e+1/3),i=h(p,g,e),l=h(p,g,e-1/3)}return{r:Math.round(s*255),g:Math.round(i*255),b:Math.round(l*255),a}},cssToRgba:function(r){if(!r)return{r:0,g:0,b:0,a:0};let e=/^#([0-9a-fA-f]{3}|[0-9a-fA-f]{6})$/;if(r=r.toLowerCase(),r&&e.test(r)){if(r.length===4){let o="#";for(let a=1;a<4;a+=1)o+=r.slice(a,a+1).concat(r.slice(a,a+1));r=o}let t=[];for(let o=1;o<7;o+=2)t.push(parseInt("0x"+r.slice(o,o+2)));return{r:t[0],g:t[1],b:t[2],a:1}}else if(/^(rgb|RGB|rgba|RGBA)/.test(r)){let o=r.replace(/(?:\(|\)|rgba|rgb|RGB|RGBA)*/g,"").split(",").map(a=>Number(a));return o.length<3?{r:0,g:0,b:0,a:1}:(o.length==3&&o.push(1),{r:o[0],g:o[1],b:o[2],a:o[3]})}else return{r:0,g:0,b:0,a:1}},rgbaToHsva:function(r){if(!r)return{h:0,s:1,v:1,a:1};let e=r.r/255,t=r.g/255,o=r.b/255,a=Math.max(e,t,o),s=Math.min(e,t,o),i=0;a!==s&&(a===e?i=60*(0+(t-o)/(a-s)):a===t?i=60*(2+(o-e)/(a-s)):a===o&&(i=60*(4+(e-t)/(a-s)))),i<0&&(i=i+360);let l=a===0?0:(a-s)/a,g=[i,l,a];return{h:g[0],s:g[1],v:g[2],a:r.a}},hsvaToRgba:function(r){var{h:e,s:t,v:o,a}=r,s=0,i=0,l=0,g,p,h,v,T;switch(g=Math.floor(e*6),p=e*6-g,h=o*(1-t),v=o*(1-p*t),T=o*(1-(1-p)*t),g%6){case 0:s=o,i=T,l=h;break;case 1:s=v,i=o,l=h;break;case 2:s=h,i=o,l=T;break;case 3:s=h,i=v,l=o;break;case 4:s=T,i=h,l=o;break;case 5:s=o,i=h,l=v;break}return{r:s,g:i,b:l,a}},rgbaToCss:function(r){return`rgba(${r.r},${r.g},${r.b},${r.a})`}},te=(r=>(r.left="left",r.right="right",r.bottom="bottom",r.top="top",r.leftright="x",r.topbottom="y",r.topleft="top-left",r.topright="top-right",r.bottomleft="bottom-left",r.bottomright="bottom-right",r.all="all",r))(te||{}),ee=(r=>(r.left="to left",r.right="to right",r.top="to top",r.bottom="to bottom",r.none="",r))(ee||{}),Se=(r=>(r.light="light",r.dark="dark",r.accent="accent",r))(Se||{}),ke=(r=>(r.solid="solid",r.dashed="dashed",r.dotted="dotted",r))(ke||{}),Te={};try{Te=JSON.parse(uni.getStorageSync("$tmTheme"))}catch(r){}var Je=(he=(fe=uni==null?void 0:uni.$tm)==null?void 0:fe.config)!=null&&he.theme?b({},uni.$tm.config.theme):Te,G=[],X=b({red:"#FE1C00",pink:"#CA145D",purple:"#A61BC3","deep-purple":"#6A0E81",indigo:"#652DF4",blue:"#0163FF","light-blue":"#0889FF",cyan:"#11CDE8",teal:"#00998a",green:"#5DBD1F","light-green":"#83D54A",lime:"#D4ED00",yellow:"#FFC400",amber:"#FFFB01",orange:"#FEA600","deep-orange":"#FE5C00",brown:"#795548","blue-grey":"#607D8B",grey:"#9E9E9E",black:"#000000",white:"#FFFFFF",primary:"#0163FF","grey-5":"#fafafa","grey-4":"#fafdff","grey-3":"#eeeeee","grey-2":"#e0e0e0","grey-1":"#bdbdbd","grey-darken-1":"#757575","grey-darken-2":"#616161","grey-darken-3":"#404044","grey-darken-4":"#202022","grey-darken-5":"#111112","grey-darken-6":"#0A0A0B"},Je);for(let r in X)if(Object.prototype.hasOwnProperty.call(X,r)){let e=String(X[r]);if(we(e)){let t=u.cssToRgba(e);G.push({name:r,value:e,hsva:u.rgbaToHsva(u.cssToRgba(e)),rgba:u.cssToRgba(e),hsla:u.rgbaToHsla(t),csscolor:`rgba(${t.r},${t.g},${t.b},${t.a})`})}}function we(r){let e=/^#([0-9a-fA-f]{3}|[0-9a-fA-f]{6})$/,t=/^(rgb|RGB|rgba|RGBA)/;return e.test(r)||t.test(r)}function qe(r){let e=G.findIndex(function(t,o){return t.name==r});return e==-1&&(r="primary",e=G.findIndex(function(t,o){return t.name==r}),E("warn","at tmui/tool/theme/theme.ts:91","\u4E3B\u9898\u4E2D\u4E0D\u5B58\u5728\u76F8\u5173\u540D\u79F0\u7684\u4E3B\u9898\u3002")),G[e]}var re=class{constructor(e=G){Ge(this,"colors",[]),this.colors=e}hasColors(e=""){return this.colors.filter(function(o,a){return o.name==e}).length>0}add(e="",t=""){if(this.colors.filter(function(i,l){return i.name==e}).length>0)return this.colors;if(!t)return E("error","at tmui/tool/theme/theme.ts:121","\u989C\u8272\u503C\u5FC5\u586B!!!"),this.colors;let a=u.cssToRgba(t),s={csscolor:"",hsva:{h:0,s:0,v:0,a:0},hsla:{h:0,s:0,l:0,a:0},rgba:{r:0,g:0,b:0,a:0},name:e,value:t};return s.csscolor=u.rgbaToCss(a),s.hsva=u.rgbaToHsva(a),s.rgba=a,s.hsla=u.rgbaToHsla(a),this.colors.push(s),this.colors}del(e){let t=this.colors.findIndex(function(o,a){return o.name==e});if(t==-1){E("error","at tmui/tool/theme/theme.ts:146","\u5220\u9664\u5931\u8D25\uFF0C\u4E3B\u9898\u4E2D\u4E0D\u5B58\u5728\u76F8\u5173\u540D\u79F0\u7684\u4E3B\u9898\u3002");return}this.colors.splice(t,1)}getColor(e){let t=this.colors.findIndex(function(o,a){return o.name==e});return t==-1&&(e="primary",t=this.colors.findIndex(function(o,a){return o.name==e}),E("error","at tmui/tool/theme/theme.ts:161","\u4E3B\u9898\u4E2D\u4E0D\u5B58\u5728\u76F8\u5173\u540D\u79F0\u7684\u4E3B\u9898\u3002")),this.colors[t]}getTheme(e={colorname:"primary",dark:!1}){var t,o,a,s;e.colorname||(E("error","at tmui/tool/theme/theme.ts:176","\u989C\u8272\u540D\u79F0\u5FC5\u586B"),e.colorname="primary");let i=this.colors.findIndex(d=>d.name==e.colorname);i==-1&&(E("error","at tmui/tool/theme/theme.ts:181","\u4E3B\u9898\u4E0D\u5B58\u5728\uFF0C\u9ED8\u8BA4\u4E3Aprimary"),e.colorname="primary");let l=b({},this.colors[i]);e.borderWidth=isNaN(parseInt(String(e.borderWidth)))?0:(t=e.borderWidth)!=null?t:0,e.borderStyle=e.borderStyle?e.borderStyle:"solid",e.borderColor=e.borderColor||"",e.borderDirection=e.borderDirection||te.all,e.linearDirection=e.linearDirection||ee.none,e.linearDeep=e.linearDeep||Se.light,e.shadow=isNaN(parseInt(String(e.shadow)))?6:e.shadow,e.round=isNaN(parseInt(String(e.round)))?4:e.round,e.opaticy=isNaN(parseInt(String(e.opaticy)))?1:e.opaticy,e.outlined=typeof e.outlined=="boolean"?e.outlined:!1,e.text=typeof e.text=="boolean"?e.text:!1,e.blur=typeof e.blur=="boolean"?e.blur:!1;function g(d,f,B){return(d*2126+f*7152+B*722)/1e4<180}let p=!1,h=!1,v=!1,T=!1,C=!1;C=g(l.rgba.r,l.rgba.g,l.rgba.b),l.hsla.h==0&&l.hsla.s==0&&l.hsla.l==0&&(p=!0),l.hsla.h==0&&l.hsla.s==0&&l.hsla.l==100&&(h=!0),l.hsla.h==0&&l.hsla.s==0&&l.hsla.l<100&&(T=!0),l.hsla.h==0&&l.hsla.s==0&&(v=!0);let n={};n.color=l.value,n.config=b({},e),n.isBlackAndWhite=v,n.gradientColor=[],n.colorname=e.colorname;let R=b({},l.hsla);n.borderCss={};let k=b({},l.hsla);e.dark&&!v&&(k.l=40),e.blur&&(k.a=.85),n.backgroundColor=u.rgbaToCss(u.hslaToRgba(b({},k))),v&&e.dark&&(n.backgroundColor=u.rgbaToCss(u.hslaToRgba(x(b({},k),{h:240,s:3,l:8}))),n.border=u.rgbaToCss(u.hslaToRgba(x(b({},R),{h:240,s:3,l:12})))),h&&!e.dark&&(n.border=u.rgbaToCss(u.hslaToRgba(x(b({},R),{l:90})))),p&&!e.dark&&(n.border=u.rgbaToCss(u.hslaToRgba(x(b({},R),{l:12})))),n.backgroundColorCss={"background-color":n.backgroundColor};let c=b({},l.hsla);if(e.dark||C?c.l=95:T?c.l=10:c.l=20,e.outlined){c.l=l.hsla.l,e.dark?c.l=55:l.hsla.h!=0&&l.hsla.s!=0&&!g(l.rgba.r,l.rgba.g,l.rgba.b)&&(c.l=20),(p||h)&&e.dark&&(c.l=100),e.borderWidth=e.borderWidth||2;let d={h:l.hsla.h,s:l.hsla.s,l:0,a:0},f=u.rgbaToCss(u.hslaToRgba(d));n.backgroundColor=f,n.backgroundColorCss={"background-color":f},n.textColor=u.rgbaToCss(u.hslaToRgba(c))}if(e.text){c.l=l.hsla.l,T?c.l=15:l.hsla.h!=0&&l.hsla.s!=0&&!g(l.rgba.r,l.rgba.g,l.rgba.b)&&(c.l=20),e.dark&&(c.l=60,v||(c.s=100)),p&&(c.l=90),h&&(c.l=15),l.hsla.h==0&&l.hsla.s==0&&e.dark&&(c.l=90),n.textColor=u.rgbaToCss(u.hslaToRgba(c)),n.border=n.textColor;let d=l.csscolor,f={h:l.hsla.h,s:l.hsla.s,l:96,a:l.hsla.a};e.dark&&(l.hsla.h!=0&&l.hsla.s!=0?(f.l=12,f.s=35):(f.l=12,f.s=0)),e.blur&&(f.a=.85),d=u.rgbaToCss(u.hslaToRgba(f)),n.backgroundColor=d,n.backgroundColorCss={"background-color":d}}if(e.shadow){let d={h:l.hsla.h,s:100,l:50,a:.2};l.hsla.h==0&&l.hsla.s==0&&(d={h:0,s:0,l:20,a:.07});let f=u.rgbaToCss(u.hslaToRgba(d));n.shadowColor={boxShadow:`0rpx ${e.shadow*2.5}rpx ${e.shadow*6}rpx ${f}`}}if(e.linearDirection){let d={h:0,s:0,l:0,a:l.hsla.a},f={h:0,s:0,l:0,a:l.hsla.a},B=ee[e.linearDirection],F=0;l.hsla.h<180&&l.hsla.h>0?F=20:F=-37,l.hsla.h==0&&l.hsla.s==0&&l.hsla.l==100?e.linearDeep=="light"?(d.l=80,f.l=20):(d.l=50,f.l=40):l.hsla.h==0&&l.hsla.s==0&&l.hsla.l==0?e.linearDeep=="light"?(d.l=40,f.l=10):(d.l=30,f.l=0):(f.h=l.hsla.h,f.s=l.hsla.s,d.h=l.hsla.h,d.s=l.hsla.s,e.linearDeep=="light"?(d.h=d.h,d.s=90,d.l=70,f.l=44):e.linearDeep=="dark"?(f.s=90,f.l=26,d.s=90,d.l=50):e.linearDeep=="accent"&&(d.h-=0,d.s=90,d.l=54,f.h-=F,f.s=90,f.l=54)),e.dark&&(d.l=40,f.l=40,c.l=90);let L=u.rgbaToCss(u.hslaToRgba(d)),D=u.rgbaToCss(u.hslaToRgba(f));if(!e.text&&!e.outlined){n.backgroundColorCss={"background-image":`linear-gradient(${B},${L},${D})`};let V={h:(d.h+f.h)/2,s:(d.s+f.s)/2,l:(d.l+f.l)/2,a:(d.a+f.a)/2},N=u.hslaToRgba(V);e.dark||!g(N.r,N.g,N.b)&&l.hsla.h!=0&&l.hsla.s!=0&&(c.l=20),n.backgroundColor=u.rgbaToCss(u.hslaToRgba(V)),n.gradientColor=[L,D],n.linearDirectionStr=B}}e.dark==!0&&(n=b(b({},n),(s=(a=(o=uni.$tm.config)==null?void 0:o.themeConfig)==null?void 0:a.dark)!=null?s:{})),n.textColor=u.rgbaToCss(u.hslaToRgba(c)),e.dark?l.hsla.h==0&&l.hsla.s==0?n.border=u.rgbaToCss(u.hslaToRgba(x(b({},l.hsla),{l:12}))):n.border=u.rgbaToCss(u.hslaToRgba(x(b({},l.hsla),{l:k.l+10}))):(l.hsla.h==0&&l.hsla.s==0?n.border=u.rgbaToCss(u.hslaToRgba(x(b({},l.hsla),{l:90}))):e.text&&e.outlined?n.border=u.rgbaToCss(u.hslaToRgba(x(b({},l.hsla),{l:90}))):!e.text&&e.outlined?n.border=u.rgbaToCss(u.hslaToRgba(b({},c))):!e.text&&!e.outlined&&e.borderWidth>0&&(n.border=u.rgbaToCss(u.hslaToRgba(x(b({},l.hsla),{l:k.l-3})))),n.border=e.borderColor||n.border);let S=`${e.borderWidth}rpx ${e.borderStyle} ${n.border}`;if(e.borderDirection=="all")n.borderCss.border=S;else if(e.borderDirection=="x"||e.borderDirection=="leftright")n.borderCss["border-left"]=S,n.borderCss["border-right"]=S;else if(e.borderDirection=="y"||e.borderDirection=="topbottom")n.borderCss["border-top"]=S,n.borderCss["border-bottom"]=S;else if(e.borderDirection=="bottomleft")n.borderCss["border-left"]=S,n.borderCss["border-bottom"]=S;else if(e.borderDirection=="bottomright")n.borderCss["border-right"]=S,n.borderCss["border-bottom"]=S;else if(e.borderDirection=="topleft")n.borderCss["border-left"]=S,n.borderCss["border-top"]=S;else if(e.borderDirection=="topright")n.borderCss["border-right"]=S,n.borderCss["border-top"]=S;else{let d="-"+e.borderDirection;n.borderCss[`border${d}`]=S}return n}},M={isCssColor:we,themeColors:re,getColor:qe},xe={_style:{type:[Array,String,Object],default:()=>[]},_class:{type:[Array,String],default:""},color:{type:String,default:"primary"},followTheme:{type:[Boolean,String],default:!1},dark:{type:[Boolean,String],default:!1},followDark:{type:[Boolean,String],default:!0},round:{type:[Number,Array],default:0},shadow:{type:[Number],default:0},outlined:{type:[Boolean],default:!1},border:{type:[Number],default:0},borderStyle:{type:String,default:ke.solid},borderDirection:{type:String,default:te.all},text:{type:[Boolean,String],default:!1},transprent:{type:[Boolean,String],default:!0},transparent:{type:[Boolean,String],default:!0},linear:{type:String,default:""},linearDeep:{type:String,default:"light"},linearColor:{type:[Array],default:()=>[]},isDisabledRoundAndriod:{type:[Boolean,String],default:!1},blur:{type:Boolean,default:!1},borderColor:{type:String,default:""}};function H(r,e){try{return uni.setStorageSync(r,e),!0}catch(t){return!1}}function Y(r){try{let e=uni.getStorageSync(r);try{return JSON.parse(e)}catch(t){return e}}catch(e){return}}function Ye(r=1,e=12,t=!1){return Math.floor(Math.random()*r*Math.floor(Math.random()*Date.now())).toString(t?16:10).substring(0,e)}var vr=Ye(1);function me(r){let e=[];return typeof r=="string"&&r?e=[Number(r)]:typeof r=="number"&&isNaN(Number(r))?e=[r]:typeof r=="undefined"||typeof r===null||r===""||r===void 0?r=[0]:Array.isArray(r)&&(e=r.map(t=>Number(t))),e.length==1?e=new Array(4).fill(e[0]):e.length==2?e=[...e,...e]:e.length==3&&(e=[...e,0]),e}function Qe(r){let e="";return typeof r=="number"||r.length==1?"round-"+r:r.length==2?`round-tl-${r[0]} round-tr-${r[1]}`:r.length==3?`round-tl-${r[0]} round-tr-${r[1]} round-br-${r[2]} `:r.length==4?`round-tl-${r[0]} round-tr-${r[1]} round-br-${r[2]}  round-bl-${r[3]}`:e}var Ke=Y("setTmVuetifyColor")||"",ge=Y("setTmVuetifyBlack"),Xe=Y("setTmVuetifyLocal")||"zh-Hans",pe=Y("colorArrayList"),Ze=typeof ge=="boolean"?ge:!1,z=new M.themeColors;if(pe){let r=pe.filter(e=>z.colors.every(t=>t.name!==e.name));z=new M.themeColors([...z.colors,...r])}var De=z.colors,er=(ce=(be=uni.getSystemInfoSync())==null?void 0:be.osName)!=null?ce:"";H("colorArrayList",De);var Be=(0,ve.defineStore)("tmpinia",{state:()=>({tmStore:{color:Ke,dark:Ze,tmVueTifly_pages:"",tmVueTifly_pagesIndex:"",os:er,wxshareConfig_miniMp:{title:"",desc:"",imageUrl:"",path:"",copyLink:"",query:{}},colorList:De,local:Xe}}),actions:{setPageNow(r){this.tmStore=x(b({},this.tmStore),{tmVueTifly_pages:r})},setPageNowIndex(r){this.tmStore=x(b({},this.tmStore),{tmVueTifly_pagesIndex:r})},setTmVuetifyDark(r){r=typeof r!="boolean"?!1:r,H("setTmVuetifyBlack",r),this.tmStore=x(b({},this.tmStore),{dark:r})},setTmAutoDark(r=!1){var e,t;if(H("setTmVuetifyAutoDark",r),this.tmuiConfig.autoDark=r,r){let o="";o=(t=(e=uni.getSystemInfoSync())==null?void 0:e.osTheme)!=null?t:"",this.setTmVuetifyDark(o=="dark")}},setWxShare(r){let e=r||{};(typeof e!="object"||Array.isArray(r))&&(e={}),this.tmStore=x(b({},this.tmStore),{wxshareConfig_miniMp:b(b({},this.tmStore.wxshareConfig_miniMp),e)})},setTmVuetifyTheme(r){let e=r;(!e||e==""||M.isCssColor(e))&&(e=""),H("setTmVuetifyColor",e),this.tmStore=x(b({},this.tmStore),{color:e})},setTmVuetifyAddTheme(r,e,t=!0){this.tmStore=x(b({},this.tmStore),{colorList:z.add(r,e)}),H("colorArrayList",this.tmStore.colorList),t&&this.setTmVuetifyTheme(r)},setTmLocal(r){r=r||"zh-Hans",H("setTmVuetifyLocal",r),this.tmStore=x(b({},this.tmStore),{local:r})}}}),Ae=(r,e)=>{var t,o;let a=(0,_.ref)(!1),s=(0,_.ref)(!1);s.value=!0;let i=(0,_.ref)({}),l=(0,_.ref)(""),g=(0,_.ref)(!1),p=(0,_.ref)(!1),h=(0,_.ref)(""),v=(0,_.ref)([]),T=(0,_.ref)([]),C=(0,_.ref)(""),n=(0,_.ref)(ye(r.value,a.value,e.value)),R={};return(0,_.watchEffect)(()=>{var k,c,S,d,f,B,F,L,D,V,N,U,j,W,y,w;let P=r.value.followDark,I=r.value.dark;P&&(I=e.value.dark),a.value=I,e.value.os=="android"&&s.value?p.value=!1:p.value=(c=(k=r.value)==null?void 0:k.blur)!=null?c:!1,i.value=rr((S=r.value)==null?void 0:S._style),l.value=((d=r.value)==null?void 0:d.parenClass)||((f=r.value)==null?void 0:f.parentClass)||"",g.value=((L=(B=r.value)==null?void 0:B.transprent)!=null?L:(F=r.value)==null?void 0:F.transparent)||!1,h.value=tr((V=(D=r.value)==null?void 0:D._class)!=null?V:""),v.value=me((U=(N=r.value)==null?void 0:N.margin)!=null?U:null),T.value=me((W=(j=r.value)==null?void 0:j.padding)!=null?W:null),C.value=Qe((w=(y=r.value)==null?void 0:y.round)!=null?w:""),n.value=ye(b(b({},r.value),R),a.value,e.value)}),{dark:a,isNvue:s,round:C,padding:T,margin:v,customCSSStyle:i,theme:(k={})=>{for(let c in k)k[c]!==null&&(R[c]=k[c]);return n},customClass:h,parentClass:l,transparent:g,_props:r,proxy:(o=(t=(0,_.getCurrentInstance)())==null?void 0:t.proxy)!=null?o:null,blur:p}};function rr(r){if(typeof r=="string"){let t=r.split(";").map(a=>{a=a.replace(";","");let s={},i=a.split(":");return s[i[0]]=i[1],s}),o={};return t.forEach(a=>{o=b(b({},o),a)}),o}if(typeof r=="object"&&!Array.isArray(r))return r;if(typeof r=="object"&&Array.isArray(r)){let e={};return r.forEach(t=>{e=b(b({},e),t)}),e}return{}}function tr(r){return typeof r=="string"?r:Array.isArray(r)?r.join(" "):""}function ye(r,e,t){var o;let a=r.color,s=r.border,i=r.shadow,l=r.round,g=r.outlined,p=r.text,h=r.borderStyle,v=r.borderDirection,T=r.linear,C=r.linearDeep,n=r.blur;var R=(o=r==null?void 0:r.borderColor)!=null?o:"",k=new M.themeColors(t.colorList);M.isCssColor(a)&&!k.hasColors(a)&&(k=new M.themeColors(k.add(a,a)));let c=a||"primary";return(r==null?void 0:r.followTheme)==!0&&t.color&&(c=t.color,R=""),k.getTheme({colorname:c,dark:e,borderWidth:s,shadow:parseInt(String(i)),round:parseInt(String(l)),outlined:g,text:p,borderStyle:h,borderDirection:v,linearDirection:T,linearDeep:C,blur:n,borderColor:R})}var Q=(r,e)=>{let t=r.__vccOpts||r;for(let[o,a]of e)t[o]=a;return t};var m=J(q()),or=Object.defineProperty,lr=Object.defineProperties,ar=Object.getOwnPropertyDescriptors,Oe=Object.getOwnPropertySymbols,nr=Object.prototype.hasOwnProperty,sr=Object.prototype.propertyIsEnumerable,$e=(r,e,t)=>e in r?or(r,e,{enumerable:!0,configurable:!0,writable:!0,value:t}):r[e]=t,ir=(r,e)=>{for(var t in e||(e={}))nr.call(e,t)&&$e(r,t,e[t]);if(Oe)for(var t of Oe(e))sr.call(e,t)&&$e(r,t,e[t]);return r},ur=(r,e)=>lr(r,ar(e)),dr=()=>{let r=(0,m.reactive)({top:0,topSafe:0,width:uni.upx2px(750),height:uni.upx2px(750),statusBar:24,navigatorBar:44,bottomSafe:0,nvue:!1,h5IsSystemBar:!0});r.nvue=!0;function e(){var t,o,a,s,i,l,g,p;let h=uni.getSystemInfoSync();r.topSafe=((t=h==null?void 0:h.statusBarHeight)!=null?t:24)+((o=h==null?void 0:h.navigationBarHeight)!=null?o:44),r.width=(a=h==null?void 0:h.windowWidth)!=null?a:uni.upx2px(750),r.height=(s=h==null?void 0:h.windowHeight)!=null?s:uni.upx2px(750),r.statusBar=(i=h==null?void 0:h.statusBarHeight)!=null?i:24,r.navigatorBar=(l=h==null?void 0:h.navigationBarHeight)!=null?l:44,r.bottomSafe=(p=(g=h.safeAreaInsets)==null?void 0:g.bottom)!=null?p:0}return e(),(0,m.onMounted)(()=>{setTimeout(()=>{e()},0)}),r},fr=(0,m.defineComponent)({__name:"tm-app",props:ur(ir({},xe),{transprent:{type:[Boolean,String],default:!1},transparent:{type:[Boolean,String],default:!1},theme:{type:String,default:"grey-5"},bgImg:{type:String,default:""},bgStyle:{type:String,default:""},color:{type:String,default:"grey-4"},darkColor:{type:String,default:"#050505"},blur:{type:[Boolean,String],default:!1},navbar:{type:Object,default:()=>({background:"",fontColor:""})},navbarDarkAuto:{type:Boolean,default:!0}}),setup(r,{expose:e}){let t=Be(),o=r,a=(0,m.computed)(()=>t.tmStore),s=(0,m.ref)(!1),{dark:i,isNvue:l,customCSSStyle:g,customClass:p,parentClass:h,transparent:v,_props:T,proxy:C,blur:n,round:R,margin:k,padding:c,theme:S}=Ae((0,m.computed)(()=>o),a),d=S(),f=!1,B=getCurrentPages().pop(),F=(0,m.computed)(()=>o.bgStyle),L=dr(),D=(0,m.ref)({width:L.width,height:L.height,theme:d.value.backgroundColor,bgImg:o.bgImg,dark:i.value});Ce(y=>{var w,P;try{(P=t.tmuiConfig.router)==null||P.useTmRouterAfter({path:(w=B==null?void 0:B.route)!=null?w:"",opts:y,context:C!=null?C:null})}catch(I){}}),(0,m.onMounted)(()=>{V()});function V(){var y,w;let P=(w=(y=uni.$tm.tabBar)==null?void 0:y.list)!=null?w:[];for(let I=0;I<P.length;I++)if((B==null?void 0:B.route)==P[I].pagePath){f=!0;break}t.tmuiConfig.autoDark?W(uni.getSystemInfoSync().osTheme):N()}(0,m.watch)([()=>a.value.color,i],()=>{s.value=!1,N()}),(0,m.watch)([()=>o.color],()=>{D.value.theme=d.value.backgroundColor});function N(){var y,w,P,I,le;if(i.value?D.value.theme=((P=(w=(y=t.tmuiConfig)==null?void 0:y.themeConfig)==null?void 0:w.dark)==null?void 0:P.bodyColor)||o.darkColor:D.value.theme=d.value.backgroundColor,(le=(I=plus==null?void 0:plus.webview)==null?void 0:I.currentWebview())!=null&&le.setStyle&&plus.webview.currentWebview().setStyle({background:D.value.theme,backgroundColorTop:D.value.theme,backgroundColorBottom:D.value.theme,userSelect:!0,webviewBGTransparent:!0}),i.value){try{!uni.$tm.isOpenDarkModel&&o.navbarDarkAuto&&uni.setNavigationBarColor({backgroundColor:"#000000",frontColor:"#ffffff"}).catch($=>{})}catch($){}plus.navigator.setStatusBarStyle("light"),f&&uni.$tm.tabBar.selectedColor.indexOf("@")==-1&&uni.setTabBarStyle({backgroundColor:"#141415",borderStyle:"black",color:"#ffffff",selectedColor:uni.$tm.tabBar.selectedColor||d.value.textColor}).catch($=>{})}else{try{let $=uni.$tm.pages.filter(A=>A.path==(B==null?void 0:B.route));if($.length>0&&!o.navbar.background){if($[0].navigationBarTextStyle.indexOf("@")>-1)return;let A=$[0].navigationBarTextStyle;A=A.toLocaleLowerCase(),A=A=="black"?"#000000":A,A=A=="white"?"#ffffff":A,o.navbarDarkAuto&&uni.setNavigationBarColor({backgroundColor:$[0].navigationBarBackgroundColor,frontColor:A}).catch(mr=>{}),uni.setStorageSync("tmuiNavStyle",JSON.stringify({navbarBackground:$[0].navigationBarBackgroundColor,navbarFontColor:A}))}else uni.$tm.isOpenDarkModel||(o.navbarDarkAuto&&uni.setNavigationBarColor({backgroundColor:o.navbar.background,frontColor:o.navbar.fontColor}).catch(A=>{}),uni.setStorageSync("tmuiNavStyle",JSON.stringify({navbarBackground:o.navbar.background,navbarFontColor:o.navbar.fontColor})))}catch($){}plus.navigator.setStatusBarStyle("dark");try{f&&!uni.$tm.isOpenDarkModel&&uni.setTabBarStyle({backgroundColor:uni.$tm.tabBar.backgroundColor||o.navbar.background,borderStyle:uni.$tm.tabBar.borderStyle||"white",color:uni.$tm.tabBar.color||o.navbar.fontColor,selectedColor:uni.$tm.tabBar.selectedColor||d.value.textColor}).catch($=>{})}catch($){}}s.value=!0}function U(y){t.setTmVuetifyTheme(y)}function j(y){let w=!i.value;typeof y!="undefined"&&typeof y=="boolean"&&(w=y),D.value.dark=w,t.setTmVuetifyDark(w),N()}try{uni.onThemeChange(y=>{W(y.theme)})}catch(y){E("warn","at tmui/components/tm-app/tm-app.vue:372","\u6CA1\u6709\u4E3B\u9898\u5207\u6362\u529F\u80FD\uFF1A",y)}function W(y){t.tmuiConfig.autoDark&&(y==="light"?j(!1):y==="dark"&&j(!0))}return(0,m.provide)("appTextColor",(0,m.computed)(()=>d.value.textColor)),(0,m.provide)("custom_space_size",[0,0]),e({setTheme:U,setDark:j}),(y,w)=>((0,m.openBlock)(),(0,m.createElementBlock)("view",{style:(0,m.normalizeStyle)([(0,m.unref)(D).theme?{background:(0,m.unref)(v)?"rgba(0,0,0,0)":(0,m.unref)(D).theme}:"",F.value]),class:"flex relative",renderWhole:!0},[(0,m.renderSlot)(y.$slots,"default")],4))}}),hr={app:{"":{flexDirection:"column"}}},Re=Q(fr,[["styles",[hr]]]);var O=J(q());var br={};function cr(r,e){let t=_e((0,O.resolveDynamicComponent)("tm-app"),Re);return(0,O.openBlock)(),(0,O.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,O.createVNode)(t,null,{default:(0,O.withCtx)(()=>[(0,O.createElementVNode)("u-text",null," \u5907\u8D27\u7533\u8BF7 ")]),_:1})])}var K=Q(br,[["render",cr]]);var oe=plus.webview.currentWebview();if(oe){let r=parseInt(oe.id),e="pages/stash/stocking",t={};try{t=JSON.parse(oe.__query__)}catch(a){}K.mpType="page";let o=Vue.createPageApp(K,{$store:getApp({allowDefault:!0}).$store,__pageId:r,__pagePath:e,__pageQuery:t});o.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...K.styles||[]])),o.mount("#root")}})();
